<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='WSGetDevolucionesPendientes#'.$_SESSION['empresa'].'#ALBARAN#'.$_SESSION['almacen'].'#'.$_SESSION['usuario']['Usuario'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);


if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$comboAlbaranes=array();
$comboClientes=array();

foreach($resultado as $item) {

	if(!in_array($item['NumAlbaran'],$comboAlbaranes) && $item['NumAlbaran']!='') $comboAlbaranes[]=$item['NumAlbaran'];
	if(!in_array($item['NombreCliente'],$comboClientes) && $item['NombreCliente']!='') $comboClientes[]=$item['NombreCliente'];
		
}

asort($comboAlbaranes);
asort($comboClientes);


if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

	?>
    <table class="tablaFormateada anchoMaximo">
	<tr style="white-space:nowrap">
	  <th>Título</th>
	  <th>Cliente</th>
	  <th>Nº Albarán</th>
	  <th>Nº devolución</th>
        <th>Fecha devolución</th>
      </tr>
	<?php foreach($resultado as $devolucion) { ?>
    
    <?php
	$estilo="";
	if($devolucion['EstaBloqueada']=='S' && $devolucion['UsuarioQueBloquea']==$_SESSION['usuario']['Usuario']) $estilo.=" fondoVerde verde";
	?>
		<tr NumAlbaran="<?php echo $devolucion['NumAlbaran']; ?>" NombreCliente="<?php echo $devolucion['NombreCliente']; ?>" IdDevolucion="<?php echo $devolucion['IdDevolucion']; ?>" class="lineaOrden clicable <?php echo $estilo; ?>" style="height:75px" >
		  <td><?php echo $devolucion['TituloDevolucion']; ?></td>
		  <td><?php echo $devolucion['NombreCliente']; ?></td>
		  <td><?php echo $devolucion['NumAlbaran']; ?></td>
		  <td><?php echo $devolucion['IdDevolucion']; ?></td>
		    <td><?php echo fechaNacional(fechaDesdeProxium($devolucion['FechaCreacionDevolucion'])); ?></td>
        </tr>
	<?php } ?>
    </table>
    
    <div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Albarán:<br />
                <select name="filtroAlbaran" id="filtroAlbaran" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboAlbaranes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Cliente:<br /> 
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
	<script>
	
		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroAlbaran').val()=='' && $('#filtroCliente').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaAlbaran=false;
				var coincidenciaCliente=false;
				
				if( $('#filtroAlbaran').val()!='' && $(this).attr('NumAlbaran')==$('#filtroAlbaran').val() ) coincidenciaAlbaran=true;
				else if( $('#filtroAlbaran').val()=='' ) coincidenciaAlbaran=true;
			
				if( $('#filtroCliente').val()!='' && $(this).attr('NombreCliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
				
				if( coincidenciaAlbaran && coincidenciaCliente ) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea automatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
	
		$(document).ready(function() {
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroAlbaran option:selected').removeProp('selected');
				$('#filtroCliente option:selected').removeProp('selected');
				
				$('#filtroAlbaran option[value=""]').prop('selected',true);
				$('#filtroCliente option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
			});
			
		});
	
	</script>
    
<?php
}
else {
	?><p>No hay ninguna Entrada de Mercancía pendiente.</p><?php
}
?>